#ifndef __GPARAGRAPH__
#define __GPARAGRAPH__

#include "GObject.h"
#include "Complex.h"
#include "GCalculation.h"
class GConst;

class GParaCurve :
	public GObject
{
public:
	GParaCurve(void);
	GParaCurve(wxString s);
	GParaCurve(const GParaCurve& p);
	~GParaCurve(void);
	wxString str_y;
	GCalculation *gcal_y;
	wxString str_x;
	GCalculation *gcal_x;
	bool used;
	double orbitx[500];
	double orbity[500];
	bool orbit_real[500];
	int orbit_len;
	GConst* my_cn;
	GParaCurve* next;
	int lndsn;
	int RB;
	double para_min,para_max;

	void ClearHilight(void){
		hilighted=false;
		if(next!=NULL){
			next->ClearHilight();
		}
	};
};
#endif
